﻿:root {
    --footer-height: 3.5rem;
    /* BOOTSTRAP BLAZOR SIDEBAR OVERRIDES*/
    --bb-sidebar-width: 270px;
    --bb-sidebar-collapsed-width: 50px;
    --bb-sidebar-background-color: var(--brand-light-background);
    --bb-sidebar-top-row-background-color: var(--brand-light-background);
    --bb-sidebar-top-row-border-color: var(--brand-border-color);
    --bb-sidebar-title-text-color: rgb(255, 255, 255);
    --bb-sidebar-brand-icon-color: rgb(255, 255, 255);
    --bb-sidebar-brand-image-width: 100%;
    --bb-sidebar-brand-image-height: 24px;
    --bb-sidebar-title-badge-text-color: var(--brand-secondary-white);
    --bb-sidebar-title-badge-background-color: var(--brand-primary-darkblue);
    --bb-sidebar-navbar-toggler-icon-color: var(--brand-primary-darkblue);
    --bb-sidebar-navbar-toggler-background-color: rgba(0, 0, 0, 0);
    --bb-sidebar-content-border-color: var(--brand-border-color);
    --bb-sidebar-nav-item-text-color: rgba(0, 0, 0, 0.9);
    --bb-sidebar-nav-item-text-active-color-rgb: 255, 255, 255;
    --bb-sidebar-nav-item-text-hover-color: rgba(var(--bb-sidebar-nav-item-text-active-color-rgb), 0.9);
    --bb-sidebar-nav-item-text-active-color: rgba(var(--bb-sidebar-nav-item-text-active-color-rgb), 0.9);
    --bb-sidebar-nav-item-background-hover-color: var(--brand-primary-darkblue);
    --bb-sidebar-nav-item-group-background-color: rgba(var(--bb-sidebar-nav-item-text-active-color-rgb), 0.08);
    --bb-offcanvas-horizontal-width-lg: 600px;
}

a.btn {
    color: var(--brand-primary-green);
    text-decoration: none;
    text-transform: uppercase;
}

    a.btn:hover {
        color: #3cc4b7;
    }

.btn:disabled {
    color: #fff;
}

.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-active-color: #fff;
    --bs-btn-disabled-color: #fff;
    --bs-btn-hover-bg: #3cc4b7;
}

    .btn-primary:hover {
        color: #fff;
        background-color: var(--bs-btn-hover-bg);
        border-color: var(--bs-btn-hover-border-color);
    }

form label:not(.form-check-label) {
    font-size: larger;
    font-weight: bold;
}

form label[disabled] {
    color: var(--bs-secondary-bg);
}

.offcanvas.offcanvas-end {
    /*top: 7rem; ADD SPACING TO SHOW MAIN BAR WHEN SIDE PANEL IS VISIBLE*/
    padding: 0;
    margin: 0;
}

.bb-table thead tr:first-child {
    background-color: var(--brand-light-background);
}

.bb-table th .form-check-input {
    align-self: center;
}

.custom-header-dropdown .dropdown-toggle {
    font-size: x-large;
    font-weight: bold;
    text-decoration: none;
    margin: 0;
    padding: 0;
}

a.dropdown-item {
    color: var(--brand-primary-green);
    font-size: larger;
}

    a.dropdown-item:hover {
        color: white;
        background-color: var(--bs-gray-600);
    }

.toast-container {
    max-width: 600px;
}

.toast-body {
    white-space: pre-line;
}

@media (min-width: 641px) {
    .offcanvas.offcanvas-end {
        /*top: 3.5rem; ADD SPACING TO SHOW MAIN BAR WHEN SIDE PANEL IS VISIBLE*/
    }
}

.simple-dropdown {
    font-size: 0.95rem !important;
    line-height: 1.5 !important;
    color: var(--bs-body-color) !important;
    background-color: var(--bs-body-bg) !important;
    background-clip: padding-box !important;
    /*border: var(--bs-border-width) solid var(--bs-border-color) !important;*/
    border-radius: var(--bs-border-radius) !important;
}

    .simple-dropdown .dropdown-menu {
        min-width: 300px !important;
        max-width: 100%;
        max-height: 450px !important;
        overflow-x: hidden;
        white-space: normal;
    }

        .simple-dropdown .dropdown-menu > div:nth-child(odd) {
            background-color: var(--brand-light-background);
        }

    .simple-dropdown .dropdown-item label {
        display: flex;
        align-items: center;
        gap: 0.5rem;
        white-space: normal;
        font-weight: normal;
        font-size: small;
        padding: .25rem 0;
    }

    .simple-dropdown .btn:disabled {
        color: var(--bs-btn-disabled-color);
    }
